Bug 435772 - The ServerIdentifier 'gatekeeper.domain.com' contains invalid characters
The ServerIdentifier 'gatekeeper.domain.com' contains invalid characters
Status: CLOSED WONTFIX
Product: 389
Classification: Community
Component: Migration (Show other bugs)
1.1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Deon Ballard
Chandrasekar Kannan
:
Depends On:
Blocks: 249650
  Show dependency treegraph
 
Reported: 2008-03-03 14:42 EST by Graham Leggett
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-05 13:50:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2008-03-03 14:42:30 EST
While making an attempt to migrate a fds v1.0.3 installation to v1.1 using the
migration script, the following error was thrown:

Beginning migration of directory server instances in /root/fedora-ds . . .
The ServerIdentifier 'gatekeeper.domain.com' contains invalid characters.  It must
contain only alphanumeric characters and the following: #%:@_-

Error: Could not create directory server instance 'slapd-gatekeeper.domain.com'.
Exiting . . .
Log file is '/tmp/migraterCp12Q.log'

Migration is rendered impossible.

What the script should have done is offered to map characters it did not like to
something benign.

Alternatively, the character "." should be listed as permitted, so that instance
names can follow domain names.
Comment 1 Chandrasekar Kannan 2008-12-05 13:50:09 EST
patch welcome. but we have decided not to fix this issue.

Note You need to log in before you can comment on or make changes to this bug.